Bug 365271 - rpm has no command line option to ignore case
rpm has no command line option to ignore case
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 11:22 EDT by Roland Wolters
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 01:26:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2007-11-03 11:22:03 EDT
Description of problem:
rpm can only show direct matches. While most unix tools have also a command 
line option to ignore cases (most often "-i"; see locate, grep, etc.) rpm is 
missing such an option.

How reproducible:
$ rpm -q policykit
The package policykit is not installed
$ rpm -q PolicyKit
PolicyKit-0.6-1.fc8

Expected results:
There should be an option to make the search case sensitive. "-i" is already 
reserved though for installation.
Comment 1 Jeff Johnson 2007-11-03 14:13:58 EDT
Heh, -i has 3 different, contextually dependent usages in rpm already and you want case insensitivity?!?

Buy an IBM terminal, or superglue your shift-lock, if you want case insensitivity.
Comment 2 Panu Matilainen 2007-11-05 01:26:21 EST
"rpm -qa|grep -i policykit" if you want case-insensitive query, rpm has way too
many cli-switches already.

I'd prefer forcing lower case for package names as distro policy to avoid the
issue entirely with tHEsE CraZY pACKagE NamES but that's just me...
Comment 3 Roland Wolters 2007-11-05 04:34:27 EST
rpm -qa takes a lot of time on old machines with lots of packages installed. 
That is far from user friendly.

Also, the inconsistency compared with other linux tools stays in the world by 
not fixing the issue.
Comment 4 Panu Matilainen 2007-11-05 05:09:38 EST
"ls" can take a lot of time on on old machines in large directories, yet it
doesn't come with ignore-case option either. 

Note You need to log in before you can comment on or make changes to this bug.